# Qwik Guide

## Introduction

- [Overview](/docs/(qwik)/index.mdx)
- [Getting Started](/docs/(qwik)/getting-started/index.mdx)
- [Project structure](/docs/(qwikcity)/project-structure/index.mdx)
- [FAQ](/docs/(qwik)/faq/index.mdx)

## Component

- [Overview](/docs/(qwik)/components/overview/index.mdx)
- [State](/docs/(qwik)/components/state/index.mdx)
- [Events](/docs/(qwik)/components/events/index.mdx)
- [Tasks & Lifecycle](/docs/(qwik)/components/tasks/index.mdx)
- [Context](/docs/(qwik)/components/context/index.mdx)
- [Slots](/docs/(qwik)/components/slots/index.mdx)
- [Rendering](/docs/(qwik)/components/rendering/index.mdx)
- [Styling](/docs/(qwik)/components/styles/index.mdx)

## Routing (Qwik City)

- [Qwik City](/docs/(qwikcity)/qwikcity/index.mdx)
- [Routing](/docs/(qwikcity)/routing/index.mdx)
- [Route Loaders](/docs/(qwikcity)/route-loader/index.mdx)
- [Form actions](/docs/(qwikcity)/action/index.mdx)
- [Layouts](/docs/(qwikcity)/layout/index.mdx)
- [Pages](/docs/(qwikcity)/pages/index.mdx)
- [Endpoints](/docs/(qwikcity)/endpoints/index.mdx)
- [server$](/docs/(qwikcity)/server$/index.mdx)
- [Env variables](/docs/(qwikcity)/env-variables/index.mdx)
- [API reference](/docs/(qwikcity)/api/index.mdx)

## Integrations

- [Overview](integrations/index.mdx)
- [Auth.js](integrations/authjs/index.mdx)
- [Builder.io](integrations/builderio/index.mdx)
- [Cypress](integrations/cypress/index.mdx)
- [Image Optimization](integrations/image-optimization/index.mdx)
- [Icons](integrations/icons/index.mdx)
- [Internationalization](integrations/i18n/index.mdx)
- [Modular Forms](integrations/modular-forms/index.mdx)
- [Nx Monorepos](integrations/nx/index.mdx)
- [Partytown](integrations/partytown/index.mdx)
- [Playwright](integrations/playwright/index.mdx)
- [PostCSS](integrations/postcss/index.mdx)
- [Prisma](integrations/prisma/index.mdx)
- [React](integrations/react/index.mdx)
- [Storybook](integrations/storybook/index.mdx)
- [Styled Vanilla Extract](integrations/styled-vanilla-extract/index.mdx)
- [Supabase](integrations/supabase/index.mdx)
- [Tailwind](integrations/tailwind/index.mdx)
- [Vitest](integrations/vitest/index.mdx)

## Deployments

- [Overview](deployments/index.mdx)
- [Azure SWA](deployments/azure-swa/index.mdx)
- [Cloudflare Pages](deployments/cloudflare-pages/index.mdx)
- [Google Cloud Run](deployments/gcp-cloud-run/index.mdx)
- [Netlify Edge](deployments/netlify-edge/index.mdx)
- [Node](deployments/node/index.mdx)
- [Vercel Edge](deployments/vercel-edge/index.mdx)
- [Deno](deployments/deno/index.mdx)

## Guides

- [Qwik in a nutshell](/docs/(qwikcity)/guides/qwik-nutshell/index.mdx)
- [Markdown & MDX](/docs/(qwikcity)/guides/mdx/index.mdx)
- [SSG](/docs/(qwikcity)/guides/static-site-generation/index.mdx)
- [React Cheat Sheet](/docs/(qwikcity)/guides/react-cheat-sheet/index.mdx)
- [Best Practices](/docs/(qwikcity)/guides/best-practices/index.mdx)

## Concepts

- [Think Qwik](/docs/(qwik)/think-qwik/index.mdx)
- [Resumable](/docs/(qwik)/concepts/resumable/index.mdx)
- [Progressive](/docs/(qwik)/concepts/progressive/index.mdx)
- [Reactivity](/docs/(qwik)/concepts/reactivity/index.mdx)

## Advanced

- [The $ dollar sign](/docs/(qwik)/advanced/dollar/index.mdx)
- [Containers](/docs/(qwik)/advanced/containers/index.mdx)
- [QRL](/docs/(qwik)/advanced/qrl/index.mdx)
- [Library](/docs/(qwik)/advanced/library/index.mdx)
- [Qwikloader](/docs/(qwik)/advanced/qwikloader/index.mdx)
- [Optimizer](/docs/(qwik)/advanced/optimizer/index.mdx)
- [Prefetching](/docs/(qwik)/advanced/prefetching/index.mdx)
- [Custom Build Directory](/docs/(qwik)/advanced/custom-build-dir/index.mdx)
- [Vite](/docs/(qwik)/advanced/vite/index.mdx)
- [Advanced Routing](/docs/(qwikcity)/advanced/routing/index.mdx)
- [Speculative Module Fetching](/docs/(qwikcity)/advanced/speculative-module-fetching/index.mdx)
- [Menus](/docs/(qwikcity)/advanced/menu/index.mdx)
- [Static Assets](/docs/(qwikcity)/advanced/static-assets/index.mdx)
- [Sitemaps](/docs/(qwikcity)/advanced/sitemaps/index.mdx)

## Reference

- [API Reference](/api/)

## Community

- [GitHub](https://github.com/BuilderIO/qwik)
- [@QwikDev](https://twitter.com/QwikDev)
- [Discord](https://qwik.builder.io/chat)
- [Community Projects](/community/projects/index.mdx)
- [Values](/community/values/index.mdx)
