## API Report File for "@builder.io/qwik"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

// @public
export const $: <T>(expression: T) => QRL<T>;

// @public (undocumented)
export interface AriaAttributes {
    'aria-activedescendant'?: string | undefined;
    // Warning: (ae-forgotten-export) The symbol "Booleanish" needs to be exported by the entry point index.d.ts
    'aria-atomic'?: Booleanish | undefined;
    'aria-autocomplete'?: 'none' | 'inline' | 'list' | 'both' | undefined;
    'aria-busy'?: Booleanish | undefined;
    'aria-checked'?: boolean | 'false' | 'mixed' | 'true' | undefined;
    'aria-colcount'?: number | undefined;
    'aria-colindex'?: number | undefined;
    'aria-colspan'?: number | undefined;
    'aria-controls'?: string | undefined;
    'aria-current'?: boolean | 'false' | 'true' | 'page' | 'step' | 'location' | 'date' | 'time' | undefined;
    'aria-describedby'?: string | undefined;
    'aria-details'?: string | undefined;
    'aria-disabled'?: Booleanish | undefined;
    // @deprecated
    'aria-dropeffect'?: 'none' | 'copy' | 'execute' | 'link' | 'move' | 'popup' | undefined;
    'aria-errormessage'?: string | undefined;
    'aria-expanded'?: Booleanish | undefined;
    'aria-flowto'?: string | undefined;
    // @deprecated
    'aria-grabbed'?: Booleanish | undefined;
    'aria-haspopup'?: boolean | 'false' | 'true' | 'menu' | 'listbox' | 'tree' | 'grid' | 'dialog' | undefined;
    'aria-hidden'?: Booleanish | undefined;
    'aria-invalid'?: boolean | 'false' | 'true' | 'grammar' | 'spelling' | undefined;
    'aria-keyshortcuts'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    'aria-level'?: number | undefined;
    'aria-live'?: 'off' | 'assertive' | 'polite' | undefined;
    'aria-modal'?: Booleanish | undefined;
    'aria-multiline'?: Booleanish | undefined;
    'aria-multiselectable'?: Booleanish | undefined;
    'aria-orientation'?: 'horizontal' | 'vertical' | undefined;
    'aria-owns'?: string | undefined;
    'aria-placeholder'?: string | undefined;
    'aria-posinset'?: number | undefined;
    'aria-pressed'?: boolean | 'false' | 'mixed' | 'true' | undefined;
    'aria-readonly'?: Booleanish | undefined;
    'aria-relevant'?: 'additions' | 'additions removals' | 'additions text' | 'all' | 'removals' | 'removals additions' | 'removals text' | 'text' | 'text additions' | 'text removals' | undefined;
    'aria-required'?: Booleanish | undefined;
    'aria-roledescription'?: string | undefined;
    'aria-rowcount'?: number | undefined;
    'aria-rowindex'?: number | undefined;
    'aria-rowspan'?: number | undefined;
    'aria-selected'?: Booleanish | undefined;
    'aria-setsize'?: number | undefined;
    'aria-sort'?: 'none' | 'ascending' | 'descending' | 'other' | undefined;
    'aria-valuemax'?: number | undefined;
    'aria-valuemin'?: number | undefined;
    'aria-valuenow'?: number | undefined;
    'aria-valuetext'?: string | undefined;
}

// @public (undocumented)
export type AriaRole = 'alert' | 'alertdialog' | 'application' | 'article' | 'banner' | 'button' | 'cell' | 'checkbox' | 'columnheader' | 'combobox' | 'complementary' | 'contentinfo' | 'definition' | 'dialog' | 'directory' | 'document' | 'feed' | 'figure' | 'form' | 'grid' | 'gridcell' | 'group' | 'heading' | 'img' | 'link' | 'list' | 'listbox' | 'listitem' | 'log' | 'main' | 'marquee' | 'math' | 'menu' | 'menubar' | 'menuitem' | 'menuitemcheckbox' | 'menuitemradio' | 'navigation' | 'none' | 'note' | 'option' | 'presentation' | 'progressbar' | 'radio' | 'radiogroup' | 'region' | 'row' | 'rowgroup' | 'rowheader' | 'scrollbar' | 'search' | 'searchbox' | 'separator' | 'slider' | 'spinbutton' | 'status' | 'switch' | 'tab' | 'table' | 'tablist' | 'tabpanel' | 'term' | 'textbox' | 'timer' | 'toolbar' | 'tooltip' | 'tree' | 'treegrid' | 'treeitem' | (string & {});

// Warning: (ae-forgotten-export) The symbol "BaseClassList" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export type ClassList = BaseClassList | BaseClassList[];

// @public
export const component$: <PROPS = unknown, ARG extends {} = PROPS extends {} ? PropFunctionProps<PROPS> : {}>(onMount: OnRenderFn<ARG>) => Component<PROPS extends {} ? PROPS : ARG>;

// @public
export type Component<PROPS extends {}> = FunctionComponent<PublicProps<PROPS>>;

// @public (undocumented)
export interface ComponentBaseProps {
    // (undocumented)
    'q:slot'?: string;
    // (undocumented)
    key?: string | number | null | undefined;
}

// @public
export const componentQrl: <PROPS extends {}>(componentQrl: QRL<OnRenderFn<PROPS>>) => Component<PROPS>;

// @public
export interface ContextId<STATE> {
    readonly __brand_context_type__: STATE;
    readonly id: string;
}

// @public
export interface CorePlatform {
    chunkForSymbol: (symbolName: string, chunk: string | null) => readonly [symbol: string, chunk: string] | undefined;
    importSymbol: (containerEl: Element | undefined, url: string | URL | undefined | null, symbol: string) => ValueOrPromise<any>;
    isServer: boolean;
    nextTick: (fn: () => any) => Promise<any>;
    raf: (fn: () => any) => Promise<any>;
}

// @public
export const createContextId: <STATE = unknown>(name: string) => ContextId<STATE>;

// @internal (undocumented)
export const _deserializeData: (data: string, element?: unknown) => any;

// Warning: (ae-forgotten-export) The symbol "QwikProps" needs to be exported by the entry point index.d.ts
// Warning: (ae-forgotten-export) The symbol "QwikEvents" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export interface DOMAttributes<T> extends QwikProps<T>, QwikEvents<T> {
    // (undocumented)
    children?: JSXChildren;
    // (undocumented)
    key?: string | number | null | undefined;
}

// @public (undocumented)
export type EagernessOptions = 'visible' | 'load' | 'idle';

// @public (undocumented)
export interface ErrorBoundaryStore {
    // (undocumented)
    error: any | undefined;
}

// @public (undocumented)
export const event$: <T>(first: T) => QRL<T>;

// @public (undocumented)
export const eventQrl: <T>(qrl: QRL<T>) => QRL<T>;

// Warning: (ae-forgotten-export) The symbol "SignalDerived" needs to be exported by the entry point index.d.ts
//
// @internal (undocumented)
export const _fnSignal: <T extends (...args: any[]) => any>(fn: T, args: any[], fnStr?: string) => SignalDerived<any, any[]>;

// @public (undocumented)
export const Fragment: FunctionComponent<{
    children?: any;
    key?: string | number | null;
}>;

// @public (undocumented)
export interface FunctionComponent<P = Record<string, any>> {
    // (undocumented)
    (props: P, key: string | null, flags: number): JSXNode | null;
}

// @internal (undocumented)
export const _getContextElement: () => unknown;

// Warning: (ae-internal-missing-underscore) The name "getLocale" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export function getLocale(defaultLocale?: string): string;

// @public
export const getPlatform: () => CorePlatform;

// @public (undocumented)
function h<TYPE extends string | FunctionComponent<PROPS>, PROPS extends {} = {}>(type: TYPE, props: PROPS | null, ...children: any[]): JSXNode<TYPE>;

// @public (undocumented)
namespace h {
    // (undocumented)
    function h(type: any): JSXNode<any>;
    // (undocumented)
    function h(type: Node, data: any): JSXNode<any>;
    // (undocumented)
    function h(type: any, text: string): JSXNode<any>;
    // (undocumented)
    function h(type: any, children: Array<any>): JSXNode<any>;
    // (undocumented)
    function h(type: any, data: any, text: string): JSXNode<any>;
    // (undocumented)
    function h(type: any, data: any, children: Array<JSXNode<any> | undefined | null>): JSXNode<any>;
    // (undocumented)
    function h(sel: any, data: any | null, children: JSXNode<any>): JSXNode<any>;
    // (undocumented)
    namespace JSX {
        // (undocumented)
        interface Element extends QwikJSX.Element {
        }
        // (undocumented)
        interface ElementChildrenAttribute {
            // (undocumented)
            children?: any;
        }
        // (undocumented)
        interface IntrinsicAttributes extends QwikJSX.IntrinsicAttributes {
        }
        // (undocumented)
        interface IntrinsicElements extends QwikJSX.IntrinsicElements {
        }
    }
}
export { h as createElement }
export { h }

// @public (undocumented)
export interface HTMLAttributes<T> extends AriaAttributes, DOMAttributes<T> {
    // (undocumented)
    about?: string | undefined;
    // (undocumented)
    accessKey?: string | undefined;
    // (undocumented)
    autoCapitalize?: string | undefined;
    // (undocumented)
    autoCorrect?: string | undefined;
    // (undocumented)
    autoSave?: string | undefined;
    // (undocumented)
    color?: string | undefined;
    // (undocumented)
    contentEditable?: 'true' | 'false' | 'inherit' | undefined;
    // (undocumented)
    contextMenu?: string | undefined;
    // (undocumented)
    datatype?: string | undefined;
    // (undocumented)
    dir?: 'ltr' | 'rtl' | 'auto' | undefined;
    // (undocumented)
    draggable?: boolean | undefined;
    // (undocumented)
    hidden?: boolean | 'hidden' | 'until-found' | undefined;
    // (undocumented)
    id?: string | undefined;
    // (undocumented)
    inlist?: any;
    inputMode?: 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal' | 'search' | undefined;
    is?: string | undefined;
    // (undocumented)
    itemID?: string | undefined;
    // (undocumented)
    itemProp?: string | undefined;
    // (undocumented)
    itemRef?: string | undefined;
    // (undocumented)
    itemScope?: boolean | undefined;
    // (undocumented)
    itemType?: string | undefined;
    // (undocumented)
    lang?: string | undefined;
    // (undocumented)
    placeholder?: string | undefined;
    // (undocumented)
    prefix?: string | undefined;
    // (undocumented)
    property?: string | undefined;
    // (undocumented)
    radioGroup?: string | undefined;
    // (undocumented)
    resource?: string | undefined;
    // (undocumented)
    results?: number | undefined;
    // (undocumented)
    role?: AriaRole | undefined;
    // (undocumented)
    security?: string | undefined;
    // (undocumented)
    slot?: string | undefined;
    // (undocumented)
    spellcheck?: boolean | undefined;
    // (undocumented)
    style?: Record<string, string | number | undefined> | string | undefined;
    // (undocumented)
    tabIndex?: number | undefined;
    // (undocumented)
    title?: string | undefined;
    // (undocumented)
    translate?: 'yes' | 'no' | undefined;
    // (undocumented)
    typeof?: string | undefined;
    // (undocumented)
    unselectable?: 'on' | 'off' | undefined;
    // (undocumented)
    vocab?: string | undefined;
}

// @public (undocumented)
export const HTMLFragment: FunctionComponent<{
    dangerouslySetInnerHTML: string;
}>;

// @internal
export const _hW: () => void;

// @internal (undocumented)
export const _IMMUTABLE: unique symbol;

// @public
export const implicit$FirstArg: <FIRST, REST extends any[], RET>(fn: (first: QRL<FIRST>, ...rest: REST) => RET) => (first: FIRST, ...rest: REST) => RET;

// Warning: (ae-internal-missing-underscore) The name "inlinedQrl" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export const inlinedQrl: <T>(symbol: T, symbolName: string, lexicalScopeCapture?: any[]) => QRL<T>;

// Warning: (ae-forgotten-export) The symbol "QRLDev" needs to be exported by the entry point index.d.ts
// Warning: (ae-internal-missing-underscore) The name "inlinedQrlDEV" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export const inlinedQrlDEV: <T = any>(symbol: T, symbolName: string, opts: QRLDev, lexicalScopeCapture?: any[]) => QRL<T>;

// @public (undocumented)
const jsx: <T extends string | FunctionComponent<any>>(type: T, props: T extends FunctionComponent<infer PROPS> ? PROPS : Record<string, any>, key?: string | number | null) => JSXNode<T>;
export { jsx }
export { jsx as jsxs }

// @internal (undocumented)
export const _jsxBranch: (input?: any) => any;

// Warning: (ae-forgotten-export) The symbol "JsxDevOpts" needs to be exported by the entry point index.d.ts
//
// @internal (undocumented)
export const _jsxC: <T extends string | FunctionComponent<any>>(type: T, mutableProps: (T extends FunctionComponent<infer PROPS> ? PROPS : Record<string, any>) | null, flags: number, key: string | number | null, dev?: JsxDevOpts) => JSXNode<T>;

// @public (undocumented)
export type JSXChildren = string | number | boolean | null | undefined | Function | RegExp | JSXChildren[] | Promise<JSXChildren> | Signal<JSXChildren> | JSXNode;

// @public (undocumented)
export const jsxDEV: <T extends string | FunctionComponent<any>>(type: T, props: T extends FunctionComponent<infer PROPS> ? PROPS : Record<string, any>, key: string | number | null | undefined, _isStatic: boolean, opts: JsxDevOpts, _ctx: any) => JSXNode<T>;

// @public (undocumented)
export interface JSXNode<T = string | FunctionComponent> {
    // (undocumented)
    children: any | null;
    // Warning: (ae-forgotten-export) The symbol "DevJSX" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    dev?: DevJSX;
    // (undocumented)
    flags: number;
    // (undocumented)
    immutableProps: Record<string, any> | null;
    // (undocumented)
    key: string | null;
    // (undocumented)
    props: T extends FunctionComponent<infer B> ? B : Record<string, any>;
    // (undocumented)
    type: T;
}

// @internal (undocumented)
export const _jsxQ: <T extends string>(type: T, mutableProps: (T extends FunctionComponent<infer PROPS> ? PROPS : Record<string, any>) | null, immutableProps: Record<string, any> | null, children: any | null, flags: number, key: string | number | null, dev?: DevJSX) => JSXNode<T>;

// @internal (undocumented)
export const _jsxS: <T extends string>(type: T, mutableProps: (T extends FunctionComponent<infer PROPS> ? PROPS : Record<string, any>) | null, immutableProps: Record<string, any> | null, flags: number, key: string | number | null, dev?: DevJSX) => JSXNode<T>;

// @public (undocumented)
export type JSXTagName = keyof HTMLElementTagNameMap | Omit<string, keyof HTMLElementTagNameMap>;

// @public (undocumented)
export type NativeAnimationEvent = AnimationEvent;

// @public (undocumented)
export type NativeClipboardEvent = ClipboardEvent;

// @public (undocumented)
export type NativeCompositionEvent = CompositionEvent;

// @public (undocumented)
export type NativeDragEvent = DragEvent;

// @public (undocumented)
export type NativeFocusEvent = FocusEvent;

// @public (undocumented)
export type NativeKeyboardEvent = KeyboardEvent;

// @public (undocumented)
export type NativeMouseEvent = MouseEvent;

// @public (undocumented)
export type NativePointerEvent = PointerEvent;

// @public (undocumented)
export type NativeTouchEvent = TouchEvent;

// @public (undocumented)
export type NativeTransitionEvent = TransitionEvent;

// @public (undocumented)
export type NativeUIEvent = UIEvent;

// @public (undocumented)
export type NativeWheelEvent = WheelEvent;

// @internal (undocumented)
export const _noopQrl: <T>(symbolName: string, lexicalScopeCapture?: any[]) => QRL<T>;

// @public
export type NoSerialize<T> = (T & {
    __no_serialize__: true;
}) | undefined;

// @public
export const noSerialize: <T extends object | undefined>(input: T) => NoSerialize<T>;

// @public (undocumented)
export type OnRenderFn<PROPS extends {}> = (props: PROPS) => JSXNode<any> | null;

// @public (undocumented)
export interface OnVisibleTaskOptions {
    strategy?: VisibleTaskStrategy;
}

// Warning: (ae-forgotten-export) The symbol "QContext" needs to be exported by the entry point index.d.ts
// Warning: (ae-forgotten-export) The symbol "ContainerState" needs to be exported by the entry point index.d.ts
// Warning: (ae-forgotten-export) The symbol "GetObjID" needs to be exported by the entry point index.d.ts
//
// @internal (undocumented)
export const _pauseFromContexts: (allContexts: QContext[], containerState: ContainerState, fallbackGetObjId?: GetObjID, textNodes?: Map<string, string>) => Promise<SnapshotResult>;

// @public (undocumented)
export interface PropFnInterface<ARGS extends any[], RET> {
    // (undocumented)
    (...args: ARGS): Promise<RET>;
}

// @public (undocumented)
export type PropFunction<T extends Function = (...args: any[]) => any> = T extends (...args: infer ARGS) => infer RET ? PropFnInterface<ARGS, RET> : never;

// @public (undocumented)
export type PropFunctionProps<PROPS extends {}> = {
    [K in keyof PROPS]: NonNullable<PROPS[K]> extends (...args: infer ARGS) => infer RET ? PropFnInterface<ARGS, RET> : PROPS[K];
};

// @public
export type PropsOf<COMP extends Component<any>> = COMP extends Component<infer PROPS> ? NonNullable<PROPS> : never;

// Warning: (ae-forgotten-export) The symbol "TransformProps" needs to be exported by the entry point index.d.ts
// Warning: (ae-forgotten-export) The symbol "ComponentChildren" needs to be exported by the entry point index.d.ts
//
// @public
export type PublicProps<PROPS extends {}> = TransformProps<PROPS> & ComponentBaseProps & ComponentChildren<PROPS>;

// @public
export interface QRL<TYPE = any> {
    // (undocumented)
    __brand__QRL__: TYPE;
    (...args: TYPE extends (...args: infer ARGS) => any ? ARGS : never): Promise<TYPE extends (...args: any[]) => infer RETURN ? Awaited<RETURN> : never>;
    // (undocumented)
    dev: QRLDev | null;
    // (undocumented)
    getCaptured(): any[] | null;
    // (undocumented)
    getHash(): string;
    // (undocumented)
    getSymbol(): string;
    resolve(): Promise<TYPE>;
}

// @public
export const qrl: <T = any>(chunkOrFn: string | (() => Promise<any>), symbol: string, lexicalScopeCapture?: any[], stackOffset?: number) => QRL<T>;

// Warning: (ae-internal-missing-underscore) The name "qrlDEV" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export const qrlDEV: <T = any>(chunkOrFn: string | (() => Promise<any>), symbol: string, opts: QRLDev, lexicalScopeCapture?: any[]) => QRL<T>;

// Warning: (ae-forgotten-export) The symbol "SyntheticEvent" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export interface QwikAnimationEvent<T = Element> extends SyntheticEvent<T, NativeAnimationEvent> {
    // (undocumented)
    animationName: string;
    // (undocumented)
    elapsedTime: number;
    // (undocumented)
    pseudoElement: string;
}

// @public (undocumented)
export interface QwikChangeEvent<T = Element> extends SyntheticEvent<T> {
    // (undocumented)
    target: EventTarget & T;
}

// @public (undocumented)
export interface QwikClipboardEvent<T = Element> extends SyntheticEvent<T, NativeClipboardEvent> {
    // (undocumented)
    clipboardData: DataTransfer;
}

// @public (undocumented)
export interface QwikCompositionEvent<T = Element> extends SyntheticEvent<T, NativeCompositionEvent> {
    // (undocumented)
    data: string;
}

// @public (undocumented)
export interface QwikDOMAttributes extends DOMAttributes<any> {
}

// @public (undocumented)
export interface QwikDragEvent<T = Element> extends QwikMouseEvent<T, NativeDragEvent> {
    // (undocumented)
    dataTransfer: DataTransfer;
}

// @public (undocumented)
export interface QwikFocusEvent<T = Element> extends SyntheticEvent<T, NativeFocusEvent> {
    // (undocumented)
    relatedTarget: EventTarget | null;
    // (undocumented)
    target: EventTarget & T;
}

// Warning: (ae-forgotten-export) The symbol "IntrinsicHTMLElements" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export interface QwikIntrinsicElements extends IntrinsicHTMLElements {
    // Warning: (ae-forgotten-export) The symbol "QwikCustomHTMLAttributes" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "QwikCustomHTMLElement" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    [key: string]: QwikCustomHTMLAttributes<QwikCustomHTMLElement>;
    // Warning: (ae-forgotten-export) The symbol "QwikScriptHTMLAttributes" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    script: QwikScriptHTMLAttributes<HTMLScriptElement>;
}

// @public (undocumented)
export interface QwikInvalidEvent<T = Element> extends SyntheticEvent<T> {
    // (undocumented)
    target: EventTarget & T;
}

// @public (undocumented)
export namespace QwikJSX {
    // (undocumented)
    export interface Element extends JSXNode {
    }
    // (undocumented)
    export interface ElementChildrenAttribute {
        // (undocumented)
        children: any;
    }
    // Warning: (ae-forgotten-export) The symbol "QwikIntrinsicAttributes" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    export interface IntrinsicAttributes extends QwikIntrinsicAttributes {
    }
    // (undocumented)
    export interface IntrinsicElements extends QwikIntrinsicElements {
    }
}

// @public (undocumented)
export interface QwikKeyboardEvent<T = Element> extends SyntheticEvent<T, NativeKeyboardEvent> {
    // (undocumented)
    altKey: boolean;
    // (undocumented)
    charCode: number;
    // (undocumented)
    ctrlKey: boolean;
    getModifierState(key: string): boolean;
    key: string;
    // (undocumented)
    keyCode: number;
    // (undocumented)
    locale: string;
    // (undocumented)
    location: number;
    // (undocumented)
    metaKey: boolean;
    // (undocumented)
    repeat: boolean;
    // (undocumented)
    shiftKey: boolean;
    // (undocumented)
    which: number;
}

// @public (undocumented)
export interface QwikMouseEvent<T = Element, E = NativeMouseEvent> extends SyntheticEvent<T, E> {
    // (undocumented)
    altKey: boolean;
    // (undocumented)
    button: number;
    // (undocumented)
    buttons: number;
    // (undocumented)
    clientX: number;
    // (undocumented)
    clientY: number;
    // (undocumented)
    ctrlKey: boolean;
    getModifierState(key: string): boolean;
    // (undocumented)
    metaKey: boolean;
    // (undocumented)
    movementX: number;
    // (undocumented)
    movementY: number;
    // (undocumented)
    pageX: number;
    // (undocumented)
    pageY: number;
    // (undocumented)
    relatedTarget: EventTarget | null;
    // (undocumented)
    screenX: number;
    // (undocumented)
    screenY: number;
    // (undocumented)
    shiftKey: boolean;
    // (undocumented)
    x: number;
    // (undocumented)
    y: number;
}

// @public (undocumented)
export interface QwikPointerEvent<T = Element> extends QwikMouseEvent<T, NativePointerEvent> {
    // (undocumented)
    height: number;
    // (undocumented)
    isPrimary: boolean;
    // (undocumented)
    pointerId: number;
    // (undocumented)
    pointerType: 'mouse' | 'pen' | 'touch';
    // (undocumented)
    pressure: number;
    // (undocumented)
    tiltX: number;
    // (undocumented)
    tiltY: number;
    // (undocumented)
    width: number;
}

// @public (undocumented)
export interface QwikSubmitEvent<T = Element> extends SyntheticEvent<T> {
}

// @public (undocumented)
export interface QwikTouchEvent<T = Element> extends SyntheticEvent<T, NativeTouchEvent> {
    // (undocumented)
    altKey: boolean;
    // (undocumented)
    changedTouches: TouchList;
    // (undocumented)
    ctrlKey: boolean;
    getModifierState(key: string): boolean;
    // (undocumented)
    metaKey: boolean;
    // (undocumented)
    shiftKey: boolean;
    // (undocumented)
    targetTouches: TouchList;
    // (undocumented)
    touches: TouchList;
}

// @public (undocumented)
export interface QwikTransitionEvent<T = Element> extends SyntheticEvent<T, NativeTransitionEvent> {
    // (undocumented)
    elapsedTime: number;
    // (undocumented)
    propertyName: string;
    // (undocumented)
    pseudoElement: string;
}

// @public (undocumented)
export interface QwikUIEvent<T = Element> extends SyntheticEvent<T, NativeUIEvent> {
    // (undocumented)
    detail: number;
    // Warning: (ae-forgotten-export) The symbol "AbstractView" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    view: AbstractView;
}

// @public (undocumented)
export interface QwikWheelEvent<T = Element> extends QwikMouseEvent<T, NativeWheelEvent> {
    // (undocumented)
    deltaMode: number;
    // (undocumented)
    deltaX: number;
    // (undocumented)
    deltaY: number;
    // (undocumented)
    deltaZ: number;
}

// @internal (undocumented)
export const _regSymbol: (symbol: any, hash: string) => any;

// @public
export const render: (parent: Element | Document, jsxNode: JSXNode | FunctionComponent<any>, opts?: RenderOptions) => Promise<RenderResult>;

// @public (undocumented)
export const RenderOnce: FunctionComponent<{
    children?: any;
    key?: string | number | null | undefined;
}>;

// @public (undocumented)
export interface RenderOptions {
    // (undocumented)
    serverData?: Record<string, any>;
}

// @public (undocumented)
export interface RenderResult {
    // (undocumented)
    cleanup(): void;
}

// @internal (undocumented)
export const _renderSSR: (node: JSXNode, opts: RenderSSROptions) => Promise<void>;

// @public (undocumented)
export interface RenderSSROptions {
    // (undocumented)
    base?: string;
    // (undocumented)
    beforeClose?: (contexts: QContext[], containerState: ContainerState, containsDynamic: boolean, textNodes: Map<string, string>) => Promise<JSXNode>;
    // (undocumented)
    beforeContent?: JSXNode<string>[];
    // (undocumented)
    containerAttributes: Record<string, string>;
    // (undocumented)
    containerTagName: string;
    // (undocumented)
    serverData?: Record<string, any>;
    // (undocumented)
    stream: StreamWriter;
    // (undocumented)
    url?: string;
}

// @public
export const Resource: <T>(props: ResourceProps<T>) => JSXNode;

// @public (undocumented)
export interface ResourceCtx<T> {
    // (undocumented)
    cache(policyOrMilliseconds: number | 'immutable'): void;
    // (undocumented)
    cleanup(callback: () => void): void;
    // (undocumented)
    readonly previous: T | undefined;
    // (undocumented)
    readonly track: Tracker;
}

// @public (undocumented)
export type ResourceFn<T> = (ctx: ResourceCtx<any>) => ValueOrPromise<T>;

// @public
export interface ResourceOptions {
    timeout?: number;
}

// @public (undocumented)
export interface ResourcePending<T> {
    // (undocumented)
    readonly loading: boolean;
    // (undocumented)
    readonly value: Promise<T>;
}

// @public (undocumented)
export interface ResourceProps<T> {
    // (undocumented)
    onPending?: () => JSXNode;
    // (undocumented)
    onRejected?: (reason: any) => JSXNode;
    // (undocumented)
    onResolved: (value: T) => JSXNode;
    // (undocumented)
    readonly value: ResourceReturn<T> | Signal<Promise<T> | T> | Promise<T>;
}

// @public (undocumented)
export interface ResourceRejected<T> {
    // (undocumented)
    readonly loading: boolean;
    // (undocumented)
    readonly value: Promise<T>;
}

// @public (undocumented)
export interface ResourceResolved<T> {
    // (undocumented)
    readonly loading: boolean;
    // (undocumented)
    readonly value: Promise<T>;
}

// @public (undocumented)
export type ResourceReturn<T> = ResourcePending<T> | ResourceResolved<T> | ResourceRejected<T>;

// @internal (undocumented)
export const _restProps: (props: Record<string, any>, omit: string[]) => Record<string, any>;

// @internal (undocumented)
export const _serializeData: (data: any, pureQRL?: boolean) => Promise<string>;

// @public
export const setPlatform: (plt: CorePlatform) => CorePlatform;

// @public (undocumented)
export interface Signal<T = any> {
    // (undocumented)
    value: T;
}

// @public (undocumented)
export const SkipRender: JSXNode;

// @public
export const Slot: FunctionComponent<{
    name?: string;
}>;

// @public (undocumented)
export interface SnapshotListener {
    // (undocumented)
    el: Element;
    // (undocumented)
    key: string;
    // (undocumented)
    qrl: QRL<any>;
}

// @public (undocumented)
export type SnapshotMeta = Record<string, SnapshotMetaValue>;

// @public (undocumented)
export interface SnapshotMetaValue {
    // (undocumented)
    c?: string;
    // (undocumented)
    h?: string;
    // (undocumented)
    s?: string;
    // (undocumented)
    w?: string;
}

// @public (undocumented)
export interface SnapshotResult {
    // (undocumented)
    funcs: string[];
    // (undocumented)
    mode: 'render' | 'listeners' | 'static';
    // (undocumented)
    objs: any[];
    // (undocumented)
    qrls: QRL[];
    // Warning: (ae-forgotten-export) The symbol "ResourceReturnInternal" needs to be exported by the entry point index.d.ts
    //
    // (undocumented)
    resources: ResourceReturnInternal<any>[];
    // (undocumented)
    state: SnapshotState;
}

// @public (undocumented)
export interface SnapshotState {
    // (undocumented)
    ctx: SnapshotMeta;
    // (undocumented)
    objs: any[];
    // (undocumented)
    refs: Record<string, string>;
    // (undocumented)
    subs: any[];
}

// @public (undocumented)
export const SSRComment: FunctionComponent<{
    data: string;
}>;

// @public @deprecated (undocumented)
export const SSRHint: FunctionComponent<SSRHintProps>;

// @public (undocumented)
export interface SSRHintProps {
    // (undocumented)
    dynamic?: boolean;
}

// @public (undocumented)
export const SSRRaw: FunctionComponent<{
    data: string;
}>;

// @public (undocumented)
export const SSRStream: FunctionComponent<SSRStreamProps>;

// @public (undocumented)
export const SSRStreamBlock: FunctionComponent<{
    children?: any;
}>;

// @public (undocumented)
export interface SSRStreamProps {
    // (undocumented)
    children: AsyncGenerator<JSXChildren, void, any> | ((stream: StreamWriter) => Promise<void>) | (() => AsyncGenerator<JSXChildren, void, any>);
}

// @public (undocumented)
export type StreamWriter = {
    write: (chunk: string) => void;
};

// @public (undocumented)
export interface TaskCtx {
    // (undocumented)
    cleanup(callback: () => void): void;
    // (undocumented)
    track: Tracker;
}

// @public (undocumented)
export type TaskFn = (ctx: TaskCtx) => ValueOrPromise<void | (() => void)>;

// @public
export interface Tracker {
    <T>(ctx: () => T): T;
    <T extends {}>(obj: T): T;
}

// @public (undocumented)
export const untrack: <T>(fn: () => T) => T;

// Warning: (ae-forgotten-export) The symbol "Computed" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export const useComputed$: Computed;

// Warning: (ae-forgotten-export) The symbol "ComputedQRL" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export const useComputedQrl: ComputedQRL;

// Warning: (ae-forgotten-export) The symbol "UseContext" needs to be exported by the entry point index.d.ts
//
// @public
export const useContext: UseContext;

// @public
export const useContextProvider: <STATE extends object>(context: ContextId<STATE>, newValue: STATE) => void;

// @public (undocumented)
export const useErrorBoundary: () => Readonly<ErrorBoundaryStore>;

// @public (undocumented)
export const useId: () => string;

// Warning: (ae-internal-missing-underscore) The name "useLexicalScope" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const useLexicalScope: <VARS extends any[]>() => VARS;

// @public
export const useOn: (event: string | string[], eventQrl: QRL<(ev: Event) => void> | undefined) => void;

// @public
export const useOnDocument: (event: string | string[], eventQrl: QRL<(ev: Event) => void> | undefined) => void;

// @public
export const useOnWindow: (event: string | string[], eventQrl: QRL<(ev: Event) => void> | undefined) => void;

// @public
export const useResource$: <T>(generatorFn: ResourceFn<T>, opts?: ResourceOptions) => ResourceReturn<T>;

// @public
export const useResourceQrl: <T>(qrl: QRL<ResourceFn<T>>, opts?: ResourceOptions) => ResourceReturn<T>;

// @public (undocumented)
export function useServerData<T>(key: string): T | undefined;

// @public (undocumented)
export function useServerData<T, B = T>(key: string, defaultValue: B): T | B;

// @public (undocumented)
export interface UseSignal {
    // (undocumented)
    <T>(): Signal<T | undefined>;
    // (undocumented)
    <T>(value: T | (() => T)): Signal<T>;
}

// @public (undocumented)
export const useSignal: UseSignal;

// @public
export const useStore: <STATE extends object>(initialState: STATE | (() => STATE), opts?: UseStoreOptions) => STATE;

// @public (undocumented)
export interface UseStoreOptions {
    deep?: boolean;
    reactive?: boolean;
}

// @public
export const useStyles$: (first: string) => void;

// @public
export const useStylesQrl: (styles: QRL<string>) => void;

// @public
export const useStylesScoped$: (first: string) => UseStylesScoped;

// @public (undocumented)
export interface UseStylesScoped {
    // (undocumented)
    scopeId: string;
}

// @public
export const useStylesScopedQrl: (styles: QRL<string>) => UseStylesScoped;

// @public
export const useTask$: (first: TaskFn, opts?: UseTaskOptions | undefined) => void;

// @public (undocumented)
export interface UseTaskOptions {
    eagerness?: EagernessOptions;
}

// @public
export const useTaskQrl: (qrl: QRL<TaskFn>, opts?: UseTaskOptions) => void;

// @public
export const useVisibleTask$: (first: TaskFn, opts?: OnVisibleTaskOptions | undefined) => void;

// @public
export const useVisibleTaskQrl: (qrl: QRL<TaskFn>, opts?: OnVisibleTaskOptions) => void;

// @public
export type ValueOrPromise<T> = T | Promise<T>;

// @internal (undocumented)
export const _verifySerializable: <T>(value: T, preMessage?: string) => T;

// @public
export const version: string;

// @public (undocumented)
export type VisibleTaskStrategy = 'intersection-observer' | 'document-ready' | 'document-idle';

// @internal (undocumented)
export const _waitUntilRendered: (elm: Element) => Promise<void>;

// @internal (undocumented)
export const _weakSerialize: <T extends Record<string, any>>(input: T) => Partial<T>;

// Warning: (ae-internal-missing-underscore) The name "withLocale" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export function withLocale<T>(locale: string, fn: () => T): T;

// @internal (undocumented)
export const _wrapProp: <T extends Record<any, any>, P extends keyof T>(obj: T, prop: P) => any;

// @internal (undocumented)
export const _wrapSignal: <T extends Record<any, any>, P extends keyof T>(obj: T, prop: P) => any;

// (No @packageDocumentation comment for this package)

```
